/* BOOT */

html.boot-complete #boot {
  display: none;
}

#boot {
  position: fixed;
  inset: 0;
  z-index: 1000;

  display: flex;
  align-items: center;
  justify-content: center;

  background: var(--color-boot-bg);
  color: var(--color-boot-fg);

  transition: opacity 600ms ease;
}

.boot-inner {
  width: min(700px, 80vw);
}

.boot-header,
.boot-status,
.boot-footer {
  display: flex;
  justify-content: space-between;

  font-size: 11px;
  letter-spacing: 0.08em;
}

.boot-main {
  margin: 25vh 0;
}

.boot-label {
  margin-bottom: 16px;

  font-size: 12px;
  letter-spacing: 0.12em;
}

.boot-progress {
  width: 100%;
  height: 2px;

  background: #333;
}

.boot-progress-bar {
  width: 0%;
  height: 100%;

  background: var(--color-boot-fg);

  transition: width 100ms linear;
}

.boot-status {
  margin-top: 10px;
}

.boot-footer {
  opacity: 0.5;
}
